Как решить ошибку «tar: invalid magic» на Linux Alpine

Я устанавливаю sqlite на Alpine Linux. Я загружаю sqlite-autoconf-3130000.tar.gz но tar не смог открыть его. Я пробовал этот ответ, но он не работает. tar дает следующее сообщение:

 tar: invalid magic tar: short read 

Я написал эти команды.

 wget https://www.sqlite.org/2015/sqlite-autoconf-3090100.tar.gz tar -zxvf sqlite-autoconf-3090100.tar.gz 

Попробуйте установить tar-пакет (apk add tar). Busybox tar (по умолчанию) не поддерживает все функции.

tar: неверная магия означает, что файл поврежден.

Пожалуйста, проверьте md5sum, если совпадения … это то, что я получил:

  md5sum sqlite-autoconf-3090100.tar.gz 74931054399a2d7acf35637efe8d6f45 sqlite-autoconf-3090100.tar.gz